curs_delch(3X)

NAME
delch, wdelch, mvdelch, mvwdelch - delete a character from a curses window

SYNOPSIS
#include <ncurses/curses.h>

int delch(void);
int wdelch(WINDOW *win);
int mvdelch(int y, int x);
int mvwdelch(WINDOW *win, int y, int x);

DESCRIPTION
wdelch deletes the character at the cursor position in win. ncurses(3X) describes the variants of this function.

wdelch moves all characters to the right of the cursor on the same line to the left one position and replaces the contents of the rightmost position on the line with the window's blank character; see bkgd(3X) (wide-character API users may consult bkgrnd(3X) instead). The cursor position does not change (after moving to (y, x), if specified).

RETURN VALUE
These functions return OK on success and ERR on failure.

Functions taking a WINDOW pointer argument fail if the pointer is NULL.

Functions prefixed with “mv” first perform cursor movement and fail if the position (y, x) is outside the window boundaries.

NOTES
delch, mvdelch, and mvwdelch may be implemented as macros.

A terminal's delete_character (dch1) capability is not necessarily employed.

PORTABILITY
X/Open Curses, Issue 4 describes these functions.

SVr4 curses describes a successful return value only as “an integer value other than ERR”.

SEE ALSO
curses(3X)